### Name: Drawing graphs
### Title: Drawing graphs
### Aliases: igraph.plotting
### Keywords: graphs

### ** Examples

## Not run: 
##D 
##D # plotting a simple ring graph, all default parameters, except the layout
##D g <- graph.ring(10)
##D g$layout <- layout.circle
##D plot(g)
##D tkplot(g)
##D rglplot(g)
##D 
##D # plotting a random graph, set the parameters in the command arguments
##D g <- barabasi.game(100)
##D plot(g, layout=layout.fruchterman.reingold, vertex.size=4,
##D      vertex.label.dist=0.5, vertex.color="red", edge.arrow.size=0.5)
##D 
##D # plot a random graph, different color for each component
##D g <- erdos.renyi.game(100, 1/100)
##D comps <- clusters(g)$membership
##D colbar <- rainbow(max(comps)+1)
##D V(g)$color <- colbar[comps+1]
##D plot(g, layout=layout.fruchterman.reingold, vertex.size=5, vertex.label=NA)
##D 
##D # plot communities in a graph
##D g <- graph.full(5) 
##D g <- add.edges(g, c(0,5, 0,10, 5,10))
##D com <- spinglass.community(g, spins=5)
##D V(g)$color <- com$membership+1
##D g <- set.graph.attribute(g, "layout", layout.kamada.kawai(g))
##D plot(g, vertex.label.dist=1.5)
##D 
##D # draw a bunch of trees, fix layout
##D igraph.par("plot.layout", layout.reingold.tilford)
##D plot(graph.tree(20, 2))
##D plot(graph.tree(50, 3), vertex.size=3, vertex.label=NA)
##D tkplot(graph.tree(50, 2), mode="undirected", vertex.size=10, vertex.color="green")
## End(Not run)



